Create a New Field Index

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V81 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp"
  }
}

Close
POST /profiles/{profile_id}/pages/{page_id}/index

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

application/json

Body

  • element_name: `field_123` string Required
  • type string Required

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • element_name: `field_123` string Required
POST /profiles/{profile_id}/pages/{page_id}/index
curl \
 --request POST 'https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles/self/pages/{page_id}/index' \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer {access_token}" \
 --data '[
  {
    "element_name": "field_123",
    "type": "fulltext"
  },
  {
    "element_name": "field_456",
    "type": "key"
  }
]'
Request example
[
  {
    "element_name": "field_123",
    "type": "fulltext"
  },
  {
    "element_name": "field_456",
    "type": "key"
  }
]
Response examples (200)
[
  {
    "element_name": "field_123"
  },
  {
    "element_name": "field_456"
  }
]